INTERFACE
SUBROUTINE CPPHINP(KST,KEND,&
 & PGEMU,PGELAM,&
 & PUT0,PVT0,PQT0,PQT0L,PQT0M,PQSLT0L,PQSLT0M,&
 & PRDELP0,PEVEL0,PCVGQSL,&
 & PMU0,PMU0LU,PMU0M,PCVGQ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMM
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSLT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSLT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCVGQSL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMU0(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMU0LU(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMU0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCVGQ(NPROMM,NFLEVG)
END SUBROUTINE CPPHINP
END INTERFACE
